Skip to main content
DELETE
/
api
/
v1
/
folders
/
{folderIdOrName}
cURL
curl --request DELETE \
  --url https://us.infisical.com/api/v1/folders/{folderIdOrName} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "workspaceId": "<string>",
  "environment": "<string>",
  "path": "/",
  "directory": "/"
}
'
{
  "folder": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "<string>",
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z",
    "envId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "version": 1,
    "parentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "isReserved": false,
    "description": "<string>",
    "lastSecretModified": "2023-11-07T05:31:56Z"
  }
}

Documentation Index

Fetch the complete documentation index at: https://infisical-saif-eng-4890-add-support-for-oracle-db-access-in.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

An access token in Infisical

Path Parameters

folderIdOrName
string
required

The ID or name of the folder to delete.

Body

application/json
workspaceId
string
required

The ID of the project to delete the folder from.

environment
string
required

The slug of the environment where the folder is located.

path
string
default:/

The path of the folder to delete.

directory
string
default:/

The directory of the folder to delete. (Deprecated in favor of path)

Response

Default Response

folder
object
required